/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.core.io;

import java.io.File;
import java.io.FilenameFilter;

import benten.core.BentenConstants;

/**
 * 拡張子による TMX ファイル・フィルター。
 * @author IGA Toshiki
 */
public class TmxFileFilter implements FilenameFilter {

	/** このクラスのシングルトン・インスタンス */
	public static final FilenameFilter INSTANCE = new TmxFileFilter();

	private TmxFileFilter() {
	}

	/**
	 * {@inheritDoc}
	 */
	public boolean accept(File dir, String name) {
		return name.endsWith(BentenConstants.FILE_EXT_TMX);
	}

	/**
	 * ファイルに拡張子を追加。
	 * @param file ファイル
	 * @return 追加後のファイル
	 */
	public static File appendExtension(File file) {
		return new File(file + BentenConstants.FILE_EXT_TMX);
	}
}
